Arch Building/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
(30 intermediate revisions by 6 users not shown)
Line 1: Line 1:
<languages/>

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{Docnav/ru
|[[Arch_BuildingPart/ru|Строительная деталь]]
|Name=Arch Building
|[[Arch_Site/ru|Местность]]
|Name/ru=Arch Building
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|Workbenches=[[Arch Module/ru|Arch]]
|IconL=Arch_BuildingPart.svg
|MenuLocation=Архитектура → Здание
|IconR=Arch_Site.svg
|Shortcut=B U
|IconC=Workbench_Arch.svg
|SeeAlso=[[Arch Floor/ru|Этаж]], [[Arch Site/ru|Место]]
}}
}}
</div>
</div>


{{GuiCommand/ru
==Description==
|Name=Arch_Building
|Name/ru=Здание
|Workbenches=[[Arch_Workbench/ru|Arch]]
|MenuLocation=Arch → Здание
|Shortcut={{KEY|B}} {{KEY|U}}
|SeeAlso=[[Arch_BuildingPart/ru|Строительная деталь]], [[Arch_Site/ru|Местность]]
}}


==Описание==
The Arch Building is a special type of FreeCAD group object particularly suited for representing a whole building unit. They are mostly used to organize your model, by containing [[Arch Floor|floor]] objects.


Arch Building - это особый тип объекта группы FreeCAD, который особенно подходит для представления целого здания. Они в основном используются для организации вашей модели с помощью объектов [[Arch Floor | floor]].
==How to use==


==Применение==
# Optionally, select one or more objects to be included in your new building
# Press the {{KEY|[[Image:Arch Building.png|16px]] '''Arch Building'''}} button, or press the {{KEY|B}} then {{KEY|U}} keys


# Optionally, select one or more objects to be included in your new building.
==Options==
# Press the {{Button|[[Image:Arch Building.svg|16px]] [[Arch Building|Arch Building]]}} button, or press the {{KEY|B}} then {{KEY|U}} keys.


==Опции==
* After creating a building, you can add more objects to it by drag and dropping them in the Tree View or by using the [[Image:Arch Add.png|16px]] [[Arch Add]] tool

* You can remove objects from a building by drag and dropping them out of it the Tree View or by using the [[Image:Arch Remove.png|16px]] [[Arch Remove]] tool
* Starting from FreeCAD version 0.18, the Building object is actually a [[Arch BuildingPart|BuildingPart]] with its {{PropertyData|IFC Type}} property set to "Building". You can convert any BuildingPart to a Building simply by changing its IFC Type.
* After creating a building, you can add more objects to it by drag and dropping them in the Tree View or by using the {{Button|[[Image:Arch Add.svg|16px]] [[Arch Add|Arch Add]]}} tool.
* You can remove objects from a building by drag and dropping them out of it the Tree View or by using the {{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove|Arch Remove]]}} tool.

==Свойства==

* {{PropertyData|Building Type}}: The type of this building, to choose from a list


==Scripting==
==Scripting==
{{Emphasis|See also:}} [[Arch API|Arch API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


The Building tool can by used in [[macros]] and from the python console by using the following function:
The Building tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
{{Code|code=
Building = makeBuilding(objectslist=None, baseobj=None, name="Building")
makeBuilding ([objectslist])
}}
}}
creates a building including the objects from the given list.


* Creates a {{incode|Building}} object from {{incode|objectslist}}, which is a list of objects, or {{incode|baseobj}}, which is a {{incode|Shape}}.
Example:

Пример:

{{Code|code=
{{Code|code=
import Arch
import FreeCAD, Draft, Arch

Arch.makeBuilding()
p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Building = Arch.makeBuilding([Wall1, Wall2])

Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()
}}
}}



<languages/>
<div class="mw-translate-fuzzy">
{{Docnav/ru
|[[Arch_BuildingPart/ru|Строительная деталь]]
|[[Arch_Site/ru|Местность]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_BuildingPart.svg
|IconR=Arch_Site.svg
|IconC=Workbench_Arch.svg
}}
</div>

{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 13:51, 9 March 2022

Здание

Системное название
Arch_Building
Расположение в меню
Arch → Здание
Верстаки
Arch
Быстрые клавиши
B U
Представлено в версии
-
См. также
Строительная деталь, Местность

Описание

Arch Building - это особый тип объекта группы FreeCAD, который особенно подходит для представления целого здания. Они в основном используются для организации вашей модели с помощью объектов floor.

Применение

  1. Optionally, select one or more objects to be included in your new building.
  2. Press the Arch Building button, or press the B then U keys.

Опции

  • Starting from FreeCAD version 0.18, the Building object is actually a BuildingPart with its ДанныеIFC Type property set to "Building". You can convert any BuildingPart to a Building simply by changing its IFC Type.
  • After creating a building, you can add more objects to it by drag and dropping them in the Tree View or by using the Arch Add tool.
  • You can remove objects from a building by drag and dropping them out of it the Tree View or by using the Arch Remove tool.

Свойства

  • ДанныеBuilding Type: The type of this building, to choose from a list

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Building tool can be used in macros and from the Python console by using the following function:

Building = makeBuilding(objectslist=None, baseobj=None, name="Building")
  • Creates a Building object from objectslist, which is a list of objects, or baseobj, which is a Shape.

Пример:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Building = Arch.makeBuilding([Wall1, Wall2])

Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()